perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Blakeley <m...@blakeley.com>
Subject Re: bogus taint error?
Date Mon, 03 Jul 2000 19:17:52 GMT
At 11:48 AM -0400 7/3/2000, Vivek Khera wrote:
>  >>>>> "MB" == Michael Blakeley <mike@blakeley.com> writes:
>
>MB> At 3:37 PM -0700 7/2/2000, Michael Blakeley wrote:
>>>  At 2:00 PM -0700 7/2/2000, Michael Blakeley wrote:
>>>>  With perl 5.6.0, Solaris 2.6, apache 1.3.9, and mod_perl 1.24, I'm
>>>>  seeing intermittent taint errors like
>>>>  [Sat Jul  1 18:50:13 2000] [error] PerlRun: `Insecure dependency in
>>>>  require while running with -T switch at /foo.pl line 5.
>
>MB> This is just plain weird. My last resort was to turn taint off:
>
>I've had to do that on a production server as well.  The development
>box still works fine with taint on, curiously enough.  The production
>box *used* to work fine with taint checks, and then suddenly one day
>decided to stop working.

What platform and version of perl do you use? Perhaps there's a correlation.

Oddly, this is the first real difficulty I've had since moving to 
5.6.0. There are some known bugs in 5.6.0 now, but I don't know if 
any of them are relevant to this problem....

thanks,
-- Mike

Mime
View raw message